
From: Andi Kleen <ak@suse.de>

Bugfix to prevent miscompilation on gcc 3.2 of bitmap.h


---

 25-akpm/include/linux/bitmap.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/bitmap.h~numa-api-bitmap-fix include/linux/bitmap.h
--- 25/include/linux/bitmap.h~numa-api-bitmap-fix	Wed Apr  7 12:16:07 2004
+++ 25-akpm/include/linux/bitmap.h	Wed Apr  7 12:16:07 2004
@@ -29,7 +29,8 @@ static inline void bitmap_fill(unsigned 
 static inline void bitmap_copy(unsigned long *dst,
 			const unsigned long *src, int bits)
 {
-	memcpy(dst, src, BITS_TO_LONGS(bits)*sizeof(unsigned long));
+	int len = BITS_TO_LONGS(bits)*sizeof(unsigned long);
+	memcpy(dst, src, len);
 }
 
 void bitmap_shift_right(unsigned long *dst,

_
